Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZAdClick Class Reference

## Public Member Functions
| __construct ( $id="")
| store ()
| get ( $id="")
| delete ()
| id ()
& | price ()
& | clickTime ()
| setPageViewID ( $value)
| setPrice ( $value)
| setAd ( $ad)

## Public Attributes
| $ID
| $AdID
| $PageViewID
| $ClickTime
| $ViewPrice

## Detailed Description

! eZAd eZAdClick handles banner ad clicks.

See also
  eZAdCategory eZAd

TODO

Definition at line 43 of file ezadclick.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZAdClick::__construct | ( |  | $id = `""` | ) |

Constructs a new eZAdClick object.

If $id is set the object's values are fetched from the database.

Definition at line 51 of file ezadclick.php.

References $ID, and $id.

## Member Function Documentation

## ◆ clickTime()

& eZAdClick::clickTime | ( |  | ) |

Returns the click date and time as a eZDateTime object.

Definition at line 162 of file ezadclick.php.

References $dateTime.

## ◆ delete()

eZAdClick::delete | ( |  | ) |

Deletes a eZAd object from the database.

Definition at line 128 of file ezadclick.php.

References $db, $res, eZDB\finish(), and eZDB\globalDatabase().

## ◆ get()

eZAdClick::get | ( |  | $id = `""` | ) |

Fetches the object information from the database.

Definition at line 101 of file ezadclick.php.

References $db, $id, $ret, and eZDB\globalDatabase().

## ◆ id()

eZAdClick::id | ( |  | ) |

Returns the object ID.

Definition at line 146 of file ezadclick.php.

References $ID.

## ◆ price()

& eZAdClick::price | ( |  | ) |

Returns the click price.

Definition at line 154 of file ezadclick.php.

## ◆ setAd()

eZAdClick::setAd | ( |  | $ad | ) |

Sets the ad ID if a valid eZAd object is given as argument.

Definition at line 189 of file ezadclick.php.

References $ad.

## ◆ setPageViewID()

eZAdClick::setPageViewID | ( |  | $value | ) |

Sets the click IP.

Definition at line 173 of file ezadclick.php.

## ◆ setPrice()

eZAdClick::setPrice | ( |  | $value | ) |

Sets the click price.

Definition at line 181 of file ezadclick.php.

## ◆ store()

eZAdClick::store | ( |  | ) |

Stores a product to the database.

Definition at line 63 of file ezadclick.php.

References $db, $res, eZDB\finish(), and eZDB\globalDatabase().

## Member Data Documentation

## ◆ $AdID

eZAdClick::$AdID

Definition at line 198 of file ezadclick.php.

## ◆ $ClickTime

eZAdClick::$ClickTime

Definition at line 200 of file ezadclick.php.

## ◆ $ID

eZAdClick::$ID

Definition at line 197 of file ezadclick.php.

Referenced by __construct(), and id().

## ◆ $PageViewID

eZAdClick::$PageViewID

Definition at line 199 of file ezadclick.php.

## ◆ $ViewPrice

eZAdClick::$ViewPrice

Definition at line 201 of file ezadclick.php.

The documentation for this class was generated from the following file:

- ezadclick.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.